> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-folder/list-folder.md).

# List folder

This endpoint lists the paths that are children of paths of type folder, for listing the root folders such as "My drive" and "Shared with me" see [list root folders](/developers/api-v3/account/list-root-folders.md).

| **Description** | Lists the children of the path |
| --------------- | ------------------------------ |
| **Endpoint**    | `/path/{pathId}/folder/list`   |
| **Method**      | GET                            |

### Access Level Rules

| **Access Level** | View |
| ---------------- | ---- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="312">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the folder.</td><td>true</td><td></td></tr><tr><td><code>type</code></td><td>Array containing the types of the paths to retrieve. May contain the strings "raster", "vector", "folder", "file", "bookmark" and "pointCloud".</td><td>false</td><td>Default ["raster", "vector"].</td></tr><tr><td><code>pageSize</code></td><td>The maximum number of paths to return. Maximum 50.</td><td>false</td><td>Default 50.</td></tr><tr><td><code>pageStart</code></td><td>The nextPageStart as returned in a previous list folder request to retrieve the next batch of child paths.</td><td>false</td><td>Default null.</td></tr><tr><td><code>includeTrashed</code></td><td>Whether or not the list should also include trashed items.</td><td>false</td><td>Default false.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-folder/list-folder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
